Index: version.dd
===================================================================
--- version.dd	(revision 1638)
+++ version.dd	(working copy)
@@ -8,26 +8,11 @@
 	directives $(CODE #if) / $(CODE #else) / $(CODE #endif).)
 	)
 
-$(GRAMMAR
-$(GNAME ConditionalDeclaration):
-    $(GLINK Condition) $(I CCDeclarationBlock)
-    $(GLINK Condition) $(I CCDeclarationBlock) $(B else) $(I CCDeclarationBlock)
-    $(GLINK Condition) $(B :) $(I Declarations)
+$(ConditionalDeclaration_production)
+$(CCDeclarationBlock_production)
+$(Declarations_production)
+$(ConditionalStatement_production)
 
-$(GNAME CCDeclarationBlock):
-    $(LINK2 declaration.html#Declaration, $(I Declaration))
-    $(B {) $(I Declarations) $(B })
-    $(B { })
-
-$(GNAME Declarations):
-    $(LINK2 declaration.html#Declaration, $(I Declaration))
-    $(LINK2 declaration.html#Declaration, $(I Declaration)) $(I Declarations)
-
-$(GNAME ConditionalStatement):
-    $(GLINK Condition) $(LINK2 statement.html#NoScopeNonEmptyStatement, $(I NoScopeNonEmptyStatement))
-    $(GLINK Condition) $(LINK2 statement.html#NoScopeNonEmptyStatement, $(I NoScopeNonEmptyStatement)) $(B else) $(LINK2 statement.html#NoScopeNonEmptyStatement, $(I NoScopeNonEmptyStatement))
-)
-
 	$(P If the $(GLINK Condition) is satisfied, then the following
 	$(I CCDeclarationBlock) or $(I Statement) is compiled in.
 	If it is not satisfied, the $(I CCDeclarationBlock) or $(I Statement)
@@ -55,12 +40,7 @@
 	$(P $(I Condition) comes in the following forms:
 	)
 
-$(GRAMMAR
-$(GNAME Condition):
-    $(LINK2 #version, $(I VersionCondition))
-    $(LINK2 #debug, $(I DebugCondition))
-    $(LINK2 #staticif, $(I StaticIfCondition))
-)
+$(Condition_production)
 
 <h2>$(LNAME2 version, Version Condition)</h2>
 
@@ -68,13 +48,7 @@
 	with a single source file.
 	)
 
-$(GRAMMAR
-$(GNAME VersionCondition):
-	$(B version $(LPAREN)) $(I Integer) $(B $(RPAREN))
-	$(B version $(LPAREN)) $(I Identifier) $(B $(RPAREN))
-$(V2
-	$(B version $(LPAREN)) $(B unittest) $(B $(RPAREN)))
-)
+$(VersionCondition_production)
 
 	$(P The $(I VersionCondition) is satisfied if the $(I Integer)
 	is greater than or equal to the current $(I version level),
@@ -122,11 +96,7 @@
 
 <h3>$(LNAME2 VersionSpecification, Version Specification)</h3>
 
-$(GRAMMAR
-$(GNAME VersionSpecification):
-    $(B version =) $(I Identifier) $(B ;)
-    $(B version =) $(I Integer) $(B ;)
-)
+$(VersionSpecification_production)
 
 	$(P The version specification makes it straightforward to group
 	a set of features under one major version, for example:
@@ -299,12 +269,7 @@
 	with $(CODE #ifdef DEBUG) / $(CODE #endif) pairs.
 	)
 
-$(GRAMMAR
-$(GNAME DebugCondition):
-    $(B debug)
-    $(B debug $(LPAREN)) $(I Integer) $(B $(RPAREN))
-    $(B debug $(LPAREN)) $(I Identifier) $(B $(RPAREN))
-)
+$(DebugCondition_production)
 
 	$(P The $(B debug) condition is satisfied when the $(B -debug) switch is
 	thrown on the compiler.
@@ -331,11 +296,7 @@
 
 <h3>Debug Specification</h3>
 
-$(GRAMMAR
-$(GNAME DebugSpecification):
-    $(B debug =) $(I Identifier) $(B ;)
-    $(B debug =) $(I Integer) $(B ;)
-)
+$(DebugSpecification_production)
 
 	$(P Debug identifiers and levels are set either by the command line switch
 	$(B -debug) or by a $(I DebugSpecification).
@@ -372,10 +333,7 @@
 
 <h2>$(LNAME2 staticif, Static If Condition)</h2>
 
-$(GRAMMAR
-$(GNAME StaticIfCondition):
-    $(B static if $(LPAREN)) $(ASSIGNEXPRESSION) $(B $(RPAREN))
-)
+$(StaticIfCondition_production)
 
 	$(P $(ASSIGNEXPRESSION) is implicitly converted to a boolean type,
 	and is evaluated at compile time.
@@ -453,11 +411,7 @@
 
 <h2>$(LNAME2 static-assert, $(LNAME2 StaticAssert, Static Assert))</h2>
 
-$(GRAMMAR
-$(GNAME StaticAssert):
-    $(B static assert $(LPAREN)) $(ASSIGNEXPRESSION) $(B $(RPAREN);)
-    $(B static assert $(LPAREN)) $(ASSIGNEXPRESSION) $(B ,) $(ASSIGNEXPRESSION) $(B $(RPAREN);)
-)
+$(StaticAssert_production)
 
 	$(P $(ASSIGNEXPRESSION) is evaluated at compile time, and converted
 	to a boolean value. If the value is true, the static assert
